package com.kingdee.eas.custom.esign;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractESignTemplateFileEntryFieldInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractESignTemplateFileEntryFieldInfo()
    {
        this("id");
    }
    protected AbstractESignTemplateFileEntryFieldInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 电子签文件模板字段 's null property 
     */
    public com.kingdee.eas.custom.esign.ESignTemplateFileEntryInfo getParent1()
    {
        return (com.kingdee.eas.custom.esign.ESignTemplateFileEntryInfo)get("parent1");
    }
    public void setParent1(com.kingdee.eas.custom.esign.ESignTemplateFileEntryInfo item)
    {
        put("parent1", item);
    }
    /**
     * Object:电子签文件模板字段's 模板字段 idproperty 
     */
    public String getTemplateFieldId()
    {
        return getString("templateFieldId");
    }
    public void setTemplateFieldId(String item)
    {
        setString("templateFieldId", item);
    }
    /**
     * Object:电子签文件模板字段's 模板字段编码property 
     */
    public String getTemplateFieldKey()
    {
        return getString("templateFieldKey");
    }
    public void setTemplateFieldKey(String item)
    {
        setString("templateFieldKey", item);
    }
    /**
     * Object:电子签文件模板字段's 模板字段名称property 
     */
    public String getTemplateFieldName()
    {
        return getString("templateFieldName");
    }
    public void setTemplateFieldName(String item)
    {
        setString("templateFieldName", item);
    }
    /**
     * Object:电子签文件模板字段's 是否必填property 
     */
    public boolean isRequired()
    {
        return getBoolean("required");
    }
    public void setRequired(boolean item)
    {
        setBoolean("required", item);
    }
    /**
     * Object:电子签文件模板字段's 是否失效property 
     */
    public boolean isInvalid()
    {
        return getBoolean("invalid");
    }
    public void setInvalid(boolean item)
    {
        setBoolean("invalid", item);
    }
    /**
     * Object:电子签文件模板字段's 字段类型property 
     */
    public com.kingdee.eas.custom.esign.bizEnum.ComponentTypeEnum getComponentType()
    {
        return com.kingdee.eas.custom.esign.bizEnum.ComponentTypeEnum.getEnum(getInt("componentType"));
    }
    public void setComponentType(com.kingdee.eas.custom.esign.bizEnum.ComponentTypeEnum item)
    {
		if (item != null) {
        setInt("componentType", item.getValue());
		}
    }
    /**
     * Object:电子签文件模板字段's 数据格式property 
     */
    public String getDataFormat()
    {
        return getString("dataFormat");
    }
    public void setDataFormat(String item)
    {
        setString("dataFormat", item);
    }
    /**
     * Object:电子签文件模板字段's X坐标property 
     */
    public java.math.BigDecimal getPositionX()
    {
        return getBigDecimal("positionX");
    }
    public void setPositionX(java.math.BigDecimal item)
    {
        setBigDecimal("positionX", item);
    }
    /**
     * Object:电子签文件模板字段's Y坐标property 
     */
    public java.math.BigDecimal getPositionY()
    {
        return getBigDecimal("positionY");
    }
    public void setPositionY(java.math.BigDecimal item)
    {
        setBigDecimal("positionY", item);
    }
    /**
     * Object:电子签文件模板字段's 页码property 
     */
    public int getPageNum()
    {
        return getInt("pageNum");
    }
    public void setPageNum(int item)
    {
        setInt("pageNum", item);
    }
    /**
     * Object:电子签文件模板字段's 页面范围property 
     */
    public String getPageRange()
    {
        return getString("pageRange");
    }
    public void setPageRange(String item)
    {
        setString("pageRange", item);
    }
    /**
     * Object: 电子签文件模板字段 's 关联控件 property 
     */
    public com.kingdee.eas.custom.esign.ESignTemplateFileEntryFieldInfo getRelatedControl()
    {
        return (com.kingdee.eas.custom.esign.ESignTemplateFileEntryFieldInfo)get("relatedControl");
    }
    public void setRelatedControl(com.kingdee.eas.custom.esign.ESignTemplateFileEntryFieldInfo item)
    {
        put("relatedControl", item);
    }
    /**
     * Object:电子签文件模板字段's 签署方property 
     */
    public String getSigningParty()
    {
        return getString("signingParty");
    }
    public void setSigningParty(String item)
    {
        setString("signingParty", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("F2377A0F");
    }
}